Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.remote
Class NotificationConsumerClient

    java.lang.Object
      org.apache.muse.core.AbstractResourceClient
          org.apache.muse.ws.resource.remote.WsResourceClient
              org.apache.muse.ws.notification.remote.NotificationConsumerClient

All Implemented Interfaces:
  SoapMonitor

public class NotificationConsumerClient
extends WsResourceClient

NotificationConsumerClient is a web services client for resources that implement the WS-N NotificationConsumer port type. It adds the wsnt:Notify method to the base WS-RF interfaces.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`NotificationConsumerClient(EndpointReference destination)`
`NotificationConsumerClient(EndpointReference destination, EndpointReference source)`
`NotificationConsumerClient(EndpointReference destination, EndpointReference source, Environment environment)`
`NotificationConsumerClient(EndpointReference destination, EndpointReference source, SoapClient soapClient)`

Method Summary
`EndpointReference` | `getConsumerReference()`
`EndpointReference` | `getProducerReference()`
`void` | `notify(NotificationMessage message)`
`void` | `notify(NotificationMessage[] messages)`

Methods inherited from class org.apache.muse.ws.resource.remote.WsResourceClient
`deleteResourceProperty, destroy, getMultipleResourceProperties, getPropertyAsObject, getResourceProperty, getResourcePropertyDocument, insertResourceProperty, putResourcePropertyDocument, queryResourceProperties, setResourceProperties, setTerminationTime, updateResourceProperty`

Methods inherited from class org.apache.muse.core.AbstractResourceClient
`getDestination, getEndpointReference, getSoapClient, getSoapMonitorPort, getSource, getTraceWriter, invoke, invoke, invoke, invoke, isUsingSoapMonitor, isUsingTrace, setTrace, setTraceWriter, startSoapMonitor, stopSoapMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationConsumerClient

    public NotificationConsumerClient(EndpointReference destination)

### NotificationConsumerClient

    public NotificationConsumerClient(EndpointReference destination,
                                      EndpointReference source)

### NotificationConsumerClient

    public NotificationConsumerClient(EndpointReference destination,
                                      EndpointReference source,
                                      Environment environment)

### NotificationConsumerClient

    public NotificationConsumerClient(EndpointReference destination,
                                      EndpointReference source,
                                      SoapClient soapClient)

Method Detail

### getProducerReference

    public EndpointReference getProducerReference()

### getConsumerReference

    public EndpointReference getConsumerReference()

### notify

    public void notify(NotificationMessage message)
                throws SoapFault

  Throws:
    `SoapFault`

### notify

    public void notify(NotificationMessage[] messages)
                throws SoapFault

  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD